<?php

namespace Test\Test\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CalendarTransformer extends TransformerAbstract
{
    public function transform(\Test\Test\Models\Calendar $calendar)
    {
        return [
            'id'                => $calendar->getRouteKey(),
            'key'               => [
                'public'    => $calendar->getPublicKey(),
                'route'     => $calendar->getRouteKey(),
            ], 
            'name'              => $calendar->name,
            'date'              => $calendar->date,
            'url'               => [
                'public'    => trans_url('test/'.$calendar->getPublicKey()),
                'user'      => guard_url('test/calendar/'.$calendar->getRouteKey()),
            ], 
            'status'            => trans('app.'.$calendar->status),
            'created_at'        => format_date($calendar->created_at),
            'updated_at'        => format_date($calendar->updated_at),
        ];
    }
}